Activity log for bug #1483276

Date Who What changed Old value New value Message
2015-08-10 14:21:48 Wise Melon bug added bug
2015-08-10 14:23:12 Wise Melon tags vivid
2015-08-10 14:23:15 Wise Melon description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that it could gain superuser privileges. I looked further into this and tried running it in Terminal: xdiagnose And this was the output from the command: Error: Must run as superuser There was no output from the command: grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was: /usr/share/applications/xdiagnose.desktop:Name=xdiagnose /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this: [Desktop Entry] Name=xdiagnose GenericName=Diagnose Graphics Issues Comment=X.org Diagnostic and Repair Utility Exec=pkexec xdiagnose Icon=/usr/share/xdiagnose/icons/microscope.svg Terminal=false Type=Application Categories=System;Settings; X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. This has been adapted from this AskUbuntu question (which I asked): http://askubuntu.com/questions/659762/unable-to-launch-xdiagnose-through-gui-in-normal-way --- **OS Information:** No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 15.04 Release: 15.04 Codename: vivid Flavour: Gnome Gnome Version: 3.16 I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that it could gain superuser privileges. I looked further into this and tried running it in Terminal:     xdiagnose And this was the output from the command:     Error: Must run as superuser There was no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. This has been adapted from this AskUbuntu question (which I asked): http://askubuntu.com/q/659762/364819 --- **OS Information:**     No LSB modules are available.     Distributor ID: Ubuntu     Description: Ubuntu 15.04     Release: 15.04     Codename: vivid     Flavour: Gnome     Gnome Version: 3.16
2016-03-12 12:10:26 Wise Melon tags vivid vivid wily
2016-03-12 12:10:52 Wise Melon bug task added xdiagnose (Ubuntu)
2016-03-12 12:11:11 Wise Melon bug task added ubuntu-gnome
2016-03-12 12:11:42 Wise Melon description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that it could gain superuser privileges. I looked further into this and tried running it in Terminal:     xdiagnose And this was the output from the command:     Error: Must run as superuser There was no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. This has been adapted from this AskUbuntu question (which I asked): http://askubuntu.com/q/659762/364819 --- **OS Information:**     No LSB modules are available.     Distributor ID: Ubuntu     Description: Ubuntu 15.04     Release: 15.04     Codename: vivid     Flavour: Gnome     Gnome Version: 3.16 I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into this and tried running it in Terminal:     xdiagnose And this was the output from the command:     Error: Must run as superuser There was no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. This has been adapted from this AskUbuntu question (which I asked): http://askubuntu.com/q/659762/364819 --- **OS Information:**     No LSB modules are available.     Distributor ID: Ubuntu     Description: Ubuntu 15.04     Release: 15.04     Codename: vivid     Flavour: Gnome     Gnome Version: 3.16
2016-03-12 12:17:03 Wise Melon tags vivid wily vivid wily xenial
2016-03-12 12:19:27 Wise Melon summary Unable to launch xdiagnose through the GUI in the normal way Unable to launch xdiagnose through the Activities Overview in the normal way
2016-03-12 12:20:07 Wise Melon description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into this and tried running it in Terminal:     xdiagnose And this was the output from the command:     Error: Must run as superuser There was no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. This has been adapted from this AskUbuntu question (which I asked): http://askubuntu.com/q/659762/364819 --- **OS Information:**     No LSB modules are available.     Distributor ID: Ubuntu     Description: Ubuntu 15.04     Release: 15.04     Codename: vivid     Flavour: Gnome     Gnome Version: 3.16 I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into this and tried running it in Terminal:     xdiagnose And this was the output from the command:     Error: Must run as superuser There was no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. --- **OS Information:**     No LSB modules are available.     Distributor ID: Ubuntu     Description: Ubuntu 15.04     Release: 15.04     Codename: vivid     Flavour: Gnome     Gnome Version: 3.16
2016-03-12 12:31:11 Wise Melon description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into this and tried running it in Terminal:     xdiagnose And this was the output from the command:     Error: Must run as superuser There was no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses pkexec to start, and it works fine as normal. --- **OS Information:**     No LSB modules are available.     Distributor ID: Ubuntu     Description: Ubuntu 15.04     Release: 15.04     Codename: vivid     Flavour: Gnome     Gnome Version: 3.16 I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal: xdiagnose This was the output I got: Error: Must run as superuser But when running it in Terminal like so: pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command: grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was: /usr/share/applications/xdiagnose.desktop:Name=xdiagnose /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this: [Desktop Entry] Name=xdiagnose GenericName=Diagnose Graphics Issues Comment=X.org Diagnostic and Repair Utility Exec=pkexec xdiagnose Icon=/usr/share/xdiagnose/icons/microscope.svg Terminal=false Type=Application Categories=System;Settings; X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.19. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14 - I will test it and then update the report).
2016-03-12 12:32:34 Wise Melon bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=763531
2016-03-12 21:34:54 Wise Melon description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal: xdiagnose This was the output I got: Error: Must run as superuser But when running it in Terminal like so: pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command: grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was: /usr/share/applications/xdiagnose.desktop:Name=xdiagnose /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this: [Desktop Entry] Name=xdiagnose GenericName=Diagnose Graphics Issues Comment=X.org Diagnostic and Repair Utility Exec=pkexec xdiagnose Icon=/usr/share/xdiagnose/icons/microscope.svg Terminal=false Type=Application Categories=System;Settings; X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.19. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14 - I will test it and then update the report). I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal:     xdiagnose This was the output I got:     Error: Must run as superuser But when running it in Terminal like so:     pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.19. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14).
2016-04-06 21:29:16 Wise Melon bug task added gnome-shell
2016-04-07 13:22:26 Bug Watch Updater gnome-shell: status Unknown Confirmed
2016-04-07 13:22:26 Bug Watch Updater gnome-shell: importance Unknown Critical
2016-05-29 18:33:56 Wise Melon gnome-shell (Ubuntu): status New Confirmed
2016-05-29 18:34:01 Wise Melon xdiagnose (Ubuntu): status New Confirmed
2016-05-29 18:34:03 Wise Melon ubuntu-gnome: status New Confirmed
2016-05-29 18:34:40 Wise Melon description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal:     xdiagnose This was the output I got:     Error: Must run as superuser But when running it in Terminal like so:     pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.19. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14). I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal:     xdiagnose This was the output I got:     Error: Must run as superuser But when running it in Terminal like so:     pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.20. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14).
2016-06-01 05:46:45 Alberto Salvia Novella gnome-shell (Ubuntu): status Confirmed Incomplete
2016-06-01 05:46:47 Alberto Salvia Novella xdiagnose (Ubuntu): status Confirmed Incomplete
2016-06-01 05:46:51 Alberto Salvia Novella xdiagnose (Ubuntu): importance Undecided High
2016-06-01 05:46:53 Alberto Salvia Novella gnome-shell (Ubuntu): importance Undecided High
2016-06-01 05:47:01 Alberto Salvia Novella xdiagnose (Ubuntu): importance High Medium
2016-06-01 05:47:06 Alberto Salvia Novella xdiagnose (Ubuntu): importance Medium High
2016-06-01 10:43:12 Wise Melon xdiagnose (Ubuntu): status Incomplete Invalid
2016-06-01 10:43:16 Wise Melon gnome-shell (Ubuntu): status Incomplete Confirmed
2016-07-20 21:19:10 Ubuntu QA Website tags vivid wily xenial iso-testing vivid wily xenial
2016-08-20 04:58:10 Jeremy Bicha xdiagnose (Ubuntu): status Invalid Triaged
2016-08-20 04:58:24 Jeremy Bicha ubuntu-gnome: status Confirmed In Progress
2016-08-20 04:58:28 Jeremy Bicha ubuntu-gnome: importance Undecided High
2016-08-20 06:12:05 Jeremy Bicha nominated for series Ubuntu Xenial
2016-08-20 06:12:05 Jeremy Bicha bug task added gnome-shell (Ubuntu Xenial)
2016-08-20 06:12:05 Jeremy Bicha bug task added xdiagnose (Ubuntu Xenial)
2016-08-20 06:12:20 Jeremy Bicha bug task deleted gnome-shell (Ubuntu Xenial)
2016-08-20 06:12:42 Jeremy Bicha xdiagnose (Ubuntu Xenial): status New Triaged
2016-08-20 06:12:45 Jeremy Bicha xdiagnose (Ubuntu Xenial): importance Undecided High
2016-08-20 06:12:50 Jeremy Bicha xdiagnose (Ubuntu Xenial): status Triaged In Progress
2016-08-20 06:12:54 Jeremy Bicha xdiagnose (Ubuntu): status Triaged Fix Committed
2016-08-20 06:26:34 Jeremy Bicha description I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal:     xdiagnose This was the output I got:     Error: Must run as superuser But when running it in Terminal like so:     pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.20. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14). Impact ====== Clicking the icon in GNOME Shell's Activities Overview for xdiagnose fails silently. Nothing happens. xdiagnose is a default app in Ubuntu GNOME so this is a major papercut. Another bug being fixed in this upload is that xdiagnose hard-coded its app icon location making it impossible for icon themes to override it. Test Case ========= 1. From Ubuntu GNOME 16.04, install the update. 2. Note that GNOME Shell caches app icons so the xdiagnose icon will probably disappear. You can fix this by logging out and logging back or by running Alt-F2 and entering the letter r in the popup. Wait a few moments for gnome-shell to reload. 3. Open the Activies Overview. Search for xdiagnose and click the app in the results. 4. Does xdiagnose run? Does its icon display ok? Regression Potential ==================== Low. The primary change basically just copies what Synaptic does with its synaptic-pkexec launcher. Except for the minor glitch with the icon disappearing until GNOME Shell is reloaded, the icon switch is simple. Original Bug Report =================== I am in need of doing some diagnostics work with "xdiagnose", however when searching for it in the Activities Overview, and then clicking on it, absolutely nothing happens, when in the past it would ask me for my password so that I could run it as root. I looked further into the issue and when trying to run it through Terminal:     xdiagnose This was the output I got:     Error: Must run as superuser But when running it in Terminal like so:     pkexec xdiagnose It prompted for the password as it normally would and should (so pkexec is not the issue). There was also no output from the command:     grep -r 'xdiagnose' ~/.local/share/applications And the output of this command "grep -r 'xdiagnose' /usr/share/applications" was:     /usr/share/applications/xdiagnose.desktop:Name=xdiagnose     /usr/share/applications/xdiagnose.desktop:Exec=pkexec xdiagnose     /usr/share/applications/xdiagnose.desktop:Icon=/usr/share/xdiagnose/icons/microscope.svg     /usr/share/applications/xdiagnose.desktop:X-Ubuntu-Gettext-Domain=xdiagnose The contents of the file is this:     [Desktop Entry]     Name=xdiagnose     GenericName=Diagnose Graphics Issues     Comment=X.org Diagnostic and Repair Utility     Exec=pkexec xdiagnose     Icon=/usr/share/xdiagnose/icons/microscope.svg     Terminal=false     Type=Application     Categories=System;Settings;     X-Ubuntu-Gettext-Domain=xdiagnose I have reinstalled it with "sudo apt-get install --reinstall xdiagnose", however this seems to have made no difference at all to anything. I have also attempted to launch another application via the Activities Overview that uses 'pkexec' to start, and it works fine as normal. I initially experienced this issue on Ubuntu GNOME 15.04 with GNOME 3.16, then on Ubuntu GNOME 15.10 with GNOME 3.18, and now on Ubuntu GNOME 16.04 with GNOME 3.20. Though I remember a time when this issue wasn't present (probably when I was running Ubuntu GNOME 15.04 with GNOME 3.14).
2016-08-20 17:19:01 Alberto Salvia Novella gnome-shell (Ubuntu): status Confirmed Invalid
2016-08-21 02:56:40 Launchpad Janitor xdiagnose (Ubuntu): status Fix Committed Fix Released
2016-08-22 10:47:02 Martin Pitt xdiagnose (Ubuntu Xenial): status In Progress Fix Committed
2016-08-22 10:47:04 Martin Pitt bug added subscriber Ubuntu Stable Release Updates Team
2016-08-22 10:47:06 Martin Pitt bug added subscriber SRU Verification
2016-08-22 10:47:08 Martin Pitt tags iso-testing vivid wily xenial iso-testing verification-needed vivid wily xenial
2016-08-22 14:08:58 Wise Melon tags iso-testing verification-needed vivid wily xenial iso-testing verification-done vivid wily xenial yakkety
2016-08-23 03:05:18 Bug Watch Updater gnome-shell: status Confirmed Unknown
2016-08-24 03:47:11 Bug Watch Updater gnome-shell: status Unknown Confirmed
2016-08-31 15:27:14 Launchpad Janitor xdiagnose (Ubuntu Xenial): status Fix Committed Fix Released
2016-08-31 15:27:19 Chris J Arges removed subscriber Ubuntu Stable Release Updates Team
2016-08-31 22:28:15 Alberto Salvia Novella ubuntu-gnome: status In Progress Fix Released
2016-08-31 22:46:30 Christopher bug added subscriber Christopher
2016-08-31 22:46:43 Christopher removed subscriber Christopher
2017-03-24 20:18:35 Jeremy Bicha bug task deleted gnome-shell (Ubuntu)
2017-09-13 05:16:54 Bug Watch Updater gnome-shell: status Confirmed Fix Released